<?
// Version 2010050601, (c) 2010 by W.R.Schulz, Köngen
require_once '_FormDblPwBean.php';

class admBean
extends FormDblPwBean
{
  const MIN_ADM_MAX_ENTRIES = 1;
  const MAX_ADM_MAX_ENTRIES = 100;
  const DEF_ADM_MAX_ENTRIES = 20;
  const DEF_ADM_CSS_FILE    = 'standard.css';

  public $m_AdmNick       = null;
  public $m_AdmPw         = null;
  public $m_AdmMaxEntries = self::DEF_ADM_MAX_ENTRIES;
  public $m_AdmCssFile    = self::DEF_ADM_CSS_FILE;

  protected function evalRequest( $request )
  {
    parent::evalRequest( $request );

    if ( isset( $request['adm_nick'] ) )         $this->m_AdmNick       = $request['adm_nick'];
    if ( isset( $request['adm_max_entries'] ) )  $this->m_AdmMaxEntries = $request['adm_max_entries'];
    if ( isset( $request['adm_css_file'] ) )     $this->m_AdmCssFile    = $request['adm_css_file'];
  }

  protected function verify()
  {
    parent::verify();

    if ( empty( $this->m_AdmNick ) )
    {
      $this->m_Errors['adm_nick'] = 'Der Administrator-Name darf nicht leer sein.';
    }

    if ( $this->m_AdmMaxEntries < self::MIN_ADM_MAX_ENTRIES  ||  $this->m_AdmMaxEntries > self::MAX_ADM_MAX_ENTRIES )
    {
      $this->m_Errors['adm_max_entries'] = sprintf( 'Wert muss zwischen %d und %d liegen.', self::MIN_ADM_MAX_ENTRIES, self::MAX_ADM_MAX_ENTRIES );
    }
  }

  public function __construct( $request )
  {
    global $adm_nick, $adm_pw, $adm_max_entries, $adm_css_file;

    $this->m_AdmNick       = $adm_nick;
    $this->m_AdmPw         = $adm_pw;
    $this->m_AdmMaxEntries = $adm_max_entries;
    $this->m_AdmCssFile    = $adm_css_file;

    parent::__construct( $request );
  }

  public function writeConfig()
  {
    $rVal = false;
    
    if ( $fh = fopen( '../cfg/adm.conf', 'wt' ) )
    {
      fwrite( $fh, "<?\n" );
      fwrite( $fh, sprintf( "\$adm_nick=\"%s\";\n",     $this->m_AdmNick ) );
      fwrite( $fh, sprintf( "\$adm_pw=\"%s\";\n",       $this->isPasswordSet() ? md5( $this->m_PW1 ) : $this->m_AdmPw ) );
      fwrite( $fh, sprintf( "\$adm_max_entries=%d;\n",  $this->m_AdmMaxEntries ) );
      fwrite( $fh, sprintf( "\$adm_css_file=\"%s\";\n", $this->m_AdmCssFile ) );
      fwrite( $fh, "?>\n" );

      fclose( $fh );
      $rVal = true;
    }
    
    return $rVal;
  }
}
?>
