<?
// Version 2010050601, (c) 2010 by W.R.Schulz, Köngen
require_once '_FormBean.php';

class sbBean
extends FormBean
{
  const MIN_MAX_ENTRIES = 1;
  const MAX_MAX_ENTRIES = 50;
  const DEF_MAX_ENTRIES = 15;
  const MIN_MAX_NICK    = 10;
  const MAX_MAX_NICK    = 40;
  const DEF_MAX_NICK    = 20;
  const MIN_MAX_MSG     = 10;
  const MAX_MAX_MSG     = 1000;
  const DEF_MAX_MSG     = 200;
  const MIN_MAX_INICK   = 10;
  const MAX_MAX_INICK   = 80;
  const DEF_MAX_INICK   = 20;
  const MIN_MAX_IMSG    = 10;
  const MAX_MAX_IMSG    = 80;
  const DEF_MAX_IMSG    = 20;
  const DEF_CSS_FILE    = 'standard.css';

  public $m_MaxEntries = self::DEF_MAX_ENTRIES;
  public $m_MaxNick    = self::DEF_MAX_NICK;
  public $m_MaxMsg     = self::DEF_MAX_MSG;
  public $m_MaxINick   = self::DEF_MAX_INICK;
  public $m_MaxIMsg    = self::DEF_MAX_IMSG;
  public $m_CssFile    = self::DEF_CSS_FILE;

  protected function evalRequest( $request )
  {
    parent::evalRequest( $request );

    if ( isset( $request['max_entries'] ) )  $this->m_MaxEntries = $request['max_entries'];
    if ( isset( $request['max_nick'] ) )     $this->m_MaxNick    = $request['max_nick'];
    if ( isset( $request['max_msg'] ) )      $this->m_MaxMsg     = $request['max_msg'];
    if ( isset( $request['max_inick'] ) )    $this->m_MaxINick   = $request['max_inick'];
    if ( isset( $request['max_imsg'] ) )     $this->m_MaxIMsg    = $request['max_imsg'];
    if ( isset( $request['css_file'] ) )     $this->m_CssFile    = $request['css_file'];
  }

  protected function verify()
  {
    parent::verify();

    if ( $this->m_MaxEntries < self::MIN_MAX_ENTRIES  ||  $this->m_MaxEntries > self::MAX_MAX_ENTRIES )
    {
      $this->m_Errors['max_entries'] = sprintf( 'Wert muss zwischen %d und %d liegen.', self::MIN_MAX_ENTRIES, self::MAX_MAX_ENTRIES );
    }
    if ( $this->m_MaxNick < self::MIN_MAX_NICK  ||  $this->m_MaxNick > self::MAX_MAX_NICK )
    {
      $this->m_Errors['max_nick'] = sprintf( 'Wert muss zwischen %d und %d liegen.', self::MIN_MAX_NICK, self::MAX_MAX_NICK );
    }
    if ( $this->m_MaxMsg < self::MIN_MAX_MSG  ||  $this->m_MaxMsg > self::MAX_MAX_MSG )
    {
      $this->m_Errors['max_msg'] = sprintf( 'Wert muss zwischen %d und %d liegen.', self::MIN_MAX_MSG, self::MAX_MAX_MSG );
    }
    if ( $this->m_MaxINick < self::MIN_MAX_INICK  ||  $this->m_MaxINick > self::MAX_MAX_INICK )
    {
      $this->m_Errors['max_inick'] = sprintf( 'Wert muss zwischen %d und %d liegen.', self::MIN_MAX_INICK, self::MAX_MAX_INICK );
    }
    if ( $this->m_MaxIMsg < self::MIN_MAX_IMSG  ||  $this->m_MaxIMsg > self::MAX_MAX_IMSG )
    {
      $this->m_Errors['max_imsg'] = sprintf( 'Wert muss zwischen %d und %d liegen.', self::MIN_MAX_IMSG, self::MAX_MAX_IMSG );
    }
  }

  public function __construct( $request )
  {
    global $max_entries, $max_nick, $max_msg, $max_inick, $max_imsg, $css_file;

    $this->m_MaxEntries = $max_entries;
    $this->m_MaxNick    = $max_nick;
    $this->m_MaxMsg     = $max_msg;
    $this->m_MaxINick   = $max_inick;
    $this->m_MaxIMsg    = $max_imsg;
    $this->m_CssFile    = $css_file;

    parent::__construct( $request );
  }

  public function writeConfig()
  {
    $rVal = false;
    
    if ( $fh = fopen( '../cfg/sb.conf', 'wt' ) )
    {
      fwrite( $fh, "<?\n" );
      fwrite( $fh, sprintf( "\$max_entries=%d;\n",  $this->m_MaxEntries ) );
      fwrite( $fh, sprintf( "\$max_nick=%d;\n",     $this->m_MaxNick ) );
      fwrite( $fh, sprintf( "\$max_msg=%d;\n",      $this->m_MaxMsg ) );
      fwrite( $fh, sprintf( "\$max_inick=%d;\n",    $this->m_MaxINick ) );
      fwrite( $fh, sprintf( "\$max_imsg=%d;\n",     $this->m_MaxIMsg ) );
      fwrite( $fh, sprintf( "\$css_file=\"%s\";\n", $this->m_CssFile ) );
      fwrite( $fh, "?>\n" );

      fclose( $fh );
      $rVal = true;
    }
    
    return $rVal;
  }
}
?>
