<?
$Version      = 'Version 2015030401, (c) 2010, 2011, 2015 by W.R.Schulz, Köngen';
$Title        = 'Shoutbox-Administration - Einstellungen f&uuml;r den Administrationsbereich';

require_once '../cfg/adm.conf';
require_once '_chkCont.php';

function readStyles()
{
  $rVal = array();

  if ( $ind = opendir( 'styles/' ) )
  {
    while ( $file = readdir( $ind ) )
    {
      if ( preg_match( "/.+\.css$/", $file ) )
      {
        $rVal[] = substr( $file, 0, strlen( $file ) - 4 );
      }
    }

    closedir( $ind );
    sort( $rVal );
  }

  return $rVal;
}

require_once '_session.php';

if ( chkContinue() )
{
  require_once '_admBean.php';
  $admInfo = new admBean( $_REQUEST );

  require_once '_contentFrame.php';
  $cf = new contentFrame( 'Admin-Einst.' );

  require_once '_header.php';

  $cf->writeStart();
?>
<h3>Einstellungen f&uuml;r den Administrationsbereich</h3>
<?
  if ( $admInfo->isSave() )
  {
    if ( $admInfo->hasErrors() )
    {
?>
<p class="f_err">
Die &Auml;nderungen konnten nicht gespeichert werden, da die angegebenen Daten
Fehler enthalten. Bitte überpr&uuml;fen Sie Ihre Eingaben.
</p>
<?
    }
    else
    {
      if ( $admInfo->writeConfig() )
      {
?>
<p class="f_ok">
Die &Auml;nderungen wurden gespeichert.
</p>
<?
      }
      else
      {
?>
<p class="f_err">
Die &Auml;nderungen konnten nicht gespeichert werden, da die Konfigurationsdatei
nicht zum Schreiben ge&ouml;ffnet werden konnte.
</p>
<?
      }
    }
  }
?>
<form method="post" action="<?= $_SERVER['PHP_SELF'] ?>">
  <div class="f"><table class="f"><tr>
    <td class="f">
      <h4>Einstellungen</h4>
      <table class="fi">
        <tr>
          <td class="f_c">Eintr&auml;ge pro Seite anzeigen:<br><span class="fsmall">(min. <?= admBean::MIN_ADM_MAX_ENTRIES ?>, max. <?= admBean::MAX_ADM_MAX_ENTRIES ?>, std. <?= admBean::DEF_ADM_MAX_ENTRIES ?>)</span></td>
          <td class="f_i"><input class="f" type="text" name="adm_max_entries" size="6" maxlength="5" value="<?= $admInfo->m_AdmMaxEntries ?>"></td>
          <td class="f"><span class="ferrsm"><?= $admInfo->getError( 'adm_max_entries' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Benutzername des Administrators:</td>
          <td class="f_i"><input class="f" type="text" name="adm_nick" size="20" maxlength="40" value="<?= $admInfo->m_AdmNick ?>"></td>
          <td class="f"><span class="ferrsm"><?= $admInfo->getError( 'adm_nick' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Passwort:</td>
          <td class="f_i"><input class="f" type="password" name="pw1" size="20" maxlength="40"></td>
          <td class="f"><span class="ferrsm"><?= $admInfo->getError( 'pw1' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Passwort wiederholen:</td>
          <td class="f_i"><input class="f" type="password" name="pw2" size="20" maxlength="40"></td>
          <td class="f"><span class="ferrsm"><?= $admInfo->getError( 'pw2' ) ?></span></td>
        </tr>
      </table>
    </td><td class="f">
      <h4>Design</h4>
      <table class="fi">
<?
  $styles = readStyles();
  foreach( $styles as $style )
  {
?>
        <tr>
          <td class="f"><input type="radio" name="adm_css_file" value="<?= $style.'.css' ?>"<?= ($style.'.css' == $admInfo->m_AdmCssFile)?'checked="checked"':'' ?>>&nbsp;<?= $style ?></td>
          <td class="f"><a class="f" onClick="return popUp('msgs.php?css=<?= $style.'.css' ?>',800,600,true)" href="">Vorschau</a></td>
        </tr>
<?
  }
?>
      </table>
    </td>
  </tr><tr>
    <td class="f_b" colspan="2"><input type="submit" name="save" value="Speichern"></td>
  </tr></table></div>
</form>
<?
  $cf->writeEnd();
?>
</body>
</html>
<?
}
?>
