<?
$Version      = 'Version 2015030401, (c) 2010, 2011, 2015 by W.R.Schulz, Köngen';
$Title        = 'Shoutbox-Administration - Aussehen der Shoutbox';

require_once '../cfg/adm.conf';
require_once '../cfg/sb.conf';
require_once '_chkCont.php';

function readStyles()
{
  $rVal = array();

  if ( $ind = opendir( '../styles/' ) )
  {
    while ( $file = readdir( $ind ) )
    {
      if ( preg_match( "/^.+\.css$/", $file ) )
      {
        $rVal[] = substr( $file, 0, strlen( $file ) - 4 );
      }
    }

    closedir( $ind );
    sort( $rVal );
  }

  return $rVal;
}

require_once '_session.php';

if ( chkContinue() )
{
  require_once '_sbBean.php';
  $sbInfo = new sbBean( $_REQUEST );

  require_once '_contentFrame.php';
  $cf = new contentFrame( 'Aussehen' );

  require_once '_header.php';

  $cf->writeStart();
?>
<h3>Aussehen der Shoutbox</h3>
<?
  if ( $sbInfo->isSave() )
  {
    if ( $sbInfo->hasErrors() )
    {
?>
<p class="f_err">
Die &Auml;nderungen konnten nicht gespeichert werden, da die angegebenen Daten
Fehler enthalten. Bitte überpr&uuml;fen Sie Ihre Eingaben.
</p>
<?
    }
    else
    {
      if ( $sbInfo->writeConfig() )
      {
?>
<p class="f_ok">
Die &Auml;nderungen wurden gespeichert.
</p>
<?
      }
      else
      {
?>
<p class="f_err">
Die &Auml;nderungen konnten nicht gespeichert werden, da die Konfigurationsdatei
nicht zum Schreiben ge&ouml;ffnet werden konnte.
</p>
<?
      }
    }
  }
?>
<form method="post" action="<?= $_SERVER['PHP_SELF'] ?>">
  <div class="f"><table class="f"><tr>
    <td class="f">
      <h4>Ein-/Ausgabe</h4>
      <table class="fi">
        <tr>
          <td class="f_c">Eintr&auml;ge pro Seite anzeigen:<br><span class="fsmall">(min. <?= sbBean::MIN_MAX_ENTRIES ?>, max. <?= sbBean::MAX_MAX_ENTRIES ?>, std. <?= sbBean::DEF_MAX_ENTRIES ?>)</span></td>
          <td class="f_i"><input class="f" type="text" name="max_entries" size="6" maxlength="5" value="<?= $sbInfo->m_MaxEntries ?>"></td>
          <td class="f"><span class="ferrsm"><?= $sbInfo->getError( 'max_entries' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Max. L&auml;nge f&uuml;r Namen:<br><span class="fsmall">(min. <?= sbBean::MIN_MAX_NICK ?>, max. <?= sbBean::MAX_MAX_NICK ?> , std. <?= sbBean::DEF_MAX_NICK ?>)</span></td>
          <td class="f_i"><input class="f" type="text" name="max_nick" size="6" maxlength="5" value="<?= $sbInfo->m_MaxNick ?>"></td>
          <td class="f"><span class="ferrsm"><?= $sbInfo->getError( 'max_nick' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Max. L&auml;nge f&uuml;r Nachrichten:<br><span class="fsmall">(min. <?= sbBean::MIN_MAX_MSG ?>, max. <?= sbBean::MAX_MAX_MSG ?>, std. <?= sbBean::DEF_MAX_MSG ?>)</span></td>
          <td class="f_i"><input class="f" type="text" name="max_msg" size="6" maxlength="5" value="<?= $sbInfo->m_MaxMsg ?>"></td>
          <td class="f"><span class="ferrsm"><?= $sbInfo->getError( 'max_msg' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Breite Eingabefeld f&uuml;r Namen:<br><span class="fsmall">(min. <?= sbBean::MIN_MAX_INICK ?>, max. <?= sbBean::MAX_MAX_INICK ?>, std. <?= sbBean::DEF_MAX_INICK ?>)</span></td>
          <td class="f_i"><input class="f" type="text" name="max_inick" size="6" maxlength="5" value="<?= $sbInfo->m_MaxINick ?>"></td>
          <td class="f"><span class="ferrsm"><?= $sbInfo->getError( 'max_inick' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Breite Eingabefeld f&uuml;r Nachrichten:<br><span class="fsmall">(min. <?= sbBean::MIN_MAX_IMSG ?>, max. <?= sbBean::MAX_MAX_IMSG ?>, std. <?= sbBean::DEF_MAX_IMSG ?>)</span></td>
          <td class="f_i"><input class="f" type="text" name="max_imsg" size="6" maxlength="5" value="<?= $sbInfo->m_MaxIMsg ?>"></td>
          <td class="f"><span class="ferrsm"><?= $sbInfo->getError( 'max_imsg' ) ?></span></td>
        </tr>
      </table>
    </td><td class="f">
      <h4>Design</h4>
      <table class="fi">
<?
  $styles = readStyles();
  foreach( $styles as $style )
  {
?>
        <tr>
          <td class="f"><input type="radio" name="css_file" value="<?= $style.'.css' ?>"<?= ($style.'.css' == $sbInfo->m_CssFile)?'checked="checked"':'' ?>>&nbsp;<?= $style ?></td>
          <td class="f"><a class="f" onClick="return popUp('..?css=<?= $style.'.css' ?>',240,400,true)" href="">Vorschau</a></td>
        </tr>
<?
  }
?>
      </table>
    </td>
  </tr><tr>
    <td class="f_b" colspan="2"><input type="submit" name="save" value="Speichern"></td>
  </tr></table></div>
</form>
<?
  $cf->writeEnd();
?>
</body>
</html>
<?
}
?>
